picard.analysis.directed

## Class CalculateHsMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.directed.CollectTargetedMetrics<HsMetrics,HsMetricCollector>
    - - picard.analysis.directed.CollectHsMetrics
      - - picard.analysis.directed.CalculateHsMetrics

- Deprecated.

      @Deprecated
      public class CalculateHsMetrics
      extends CollectHsMetrics

  Calculates a set of HS metrics from a sam or bam file. See HsMetricsCollector and CollectTargetedMetrics for more details.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `CLIP_OVERLAPPING_READS` Deprecated.
    `int` | `MINIMUM_BASE_QUALITY` Deprecated.
    `int` | `MINIMUM_MAPPING_QUALITY` Deprecated.

    - ### Fields inherited from class picard.analysis.directed.CollectHsMetrics

      `BAIT_INTERVALS, BAIT_SET_NAME`

    - ### Fields inherited from class picard.analysis.directed.CollectTargetedMetrics

      `COVERAGE_CAP, INPUT, METRIC_ACCUMULATION_LEVEL, NEAR_DISTANCE, OUTPUT, PER_BASE_COVERAGE, PER_TARGET_COVERAGE, SAMPLE_SIZE, TARGET_INTERVALS`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculateHsMetrics()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class picard.analysis.directed.CollectHsMetrics

      `getProbeIntervals, getProbeSetName, main, makeCollector`

    - ### Methods inherited from class picard.analysis.directed.CollectTargetedMetrics

      `customCommandLineValidation, doWork`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MINIMUM_MAPPING_QUALITY

          @Option(shortName="MQ",
                  doc="Minimum mapping quality for a read to contribute coverage.",
                  overridable=true)
          public int MINIMUM_MAPPING_QUALITY

      Deprecated.

    - #### MINIMUM_BASE_QUALITY

          @Option(shortName="Q",
                  doc="Minimum base quality for a base to contribute coverage.",
                  overridable=true)
          public int MINIMUM_BASE_QUALITY

      Deprecated.

    - #### CLIP_OVERLAPPING_READS

          @Option(doc="True if we are to clip overlapping reads, false otherwise.",
                  optional=true)
          public boolean CLIP_OVERLAPPING_READS

      Deprecated.

  - ### Constructor Detail

    - #### CalculateHsMetrics

          public CalculateHsMetrics()

      Deprecated.